v0.3.10
- Deliveries now expose their lifecycle
status(draftorfinished). Draft deliveries may omit mandatory data point values or leg sites. - Allow
POST /deliveriesto create draft deliveries by specifying thestatus. GET /deliverieskeeps returning finished deliveries unless filtered via the newstatusquery parameter to maintain backwards compatibility. Expect this to change in the next breaking release.- Added
PATCH /deliveries/{id}to allow updating draft deliveries. - Added
DELETE /deliveries/{id}to delete draft deliveries. - Delivery leg sites can now be referenced by their
external_idas an alternative to their ID. - Fix:
occurred_aton delivery creation was interpreted in server timezone and now requires an ISO 8601 date-time with an explicit UTC offset (Zor±hh:mm)
v0.3.9
- Added new
/material-utilization-configsendpoints to list and retrieve the configs that material utilizations are created from. - Added new
/material-utilizationsendpoints to create, list and retrieve material utilizations.
v0.3.8
- Added new
/material-containersendpoints to list and retrieve material containers. - Added new
/material-sourcing-configsand/material-conversion-configsendpoints to list and retrieve the configs that material sourcings and conversions are created from. - Added new
/material-sourcingsand/material-conversionsendpoints to create, list and retrieve material sourcings and conversions. - Delivery config versions now expose whether their data points form one
unifiedflow. Delivery creates accept production step values in the flatdata_pointsarray and describe their new payload container viapayload_containers; responses expose the created containers under the same field. Deprecated thepayload,payload_typeandpayload_configfields. - Added the
material_pooldata point type for data points referencing material pools. - Fix: data points filled from machine data no longer accept submitted values and
are exposed with
accepts_input: false. - Fix: Document
data_pointsarray size limit of 100 entries.
v0.3.7
- Added new
/material-batchesendpoints to create, list, retrieve, update and delete material batches and to attach and detach their files. - Added new
/material-batch-configsendpoints to list and retrieve the material batch configs that batches are created from. - Added the
material_batchdata point type for data points referencing material batches.
v0.3.6
- Creating a delivery from a configuration whose selected transport emissions
configuration contains data points now returns
501 Not Implemented.
v0.3.5
- Added new
/material-poolsendpoints to create, list, retrieve, update and delete material pools.
v0.3.4
- Omitting the
Cula-Organisation-Idheader where it is required now returns400instead of401. - Setting the
Cula-Organisation-Idheader on endpoints that do not accept it (e.g./webhooks) now returns400instead of401.
v0.3.3
- Added new
/machinesand/machine-variablesendpoints to list and retrieve machines and their variables. - Added new
/machine-data-importsendpoints to ingest time-series values for machine variables and to list and retrieve past imports.
v0.3.2
- Added new
/filesendpoints to create, list, retrieve, and download files, replacing the existing/documentsendpoints. - Deprecated the
/documentsendpoints in favor of/files. The old endpoints continue to work for now and will be removed in a future release. - Changed the ID prefix of files (formerly “documents”) from
doc_tofle_. This only affects the type prefix, not the ID itself. The deprecated/documentsendpoints continue to returndoc_-prefixed IDs; the new/filesendpoints only return and acceptfle_-prefixed IDs. Thedoc_prefix will be removed in a future release.
v0.3.1
- Added support for authenticating with OAuth 2.0 client credentials.
- Added
Cula-Organisation-Idheader that should be specified for all endpoints except/webhooks. - Added new endpoints to create organisations and sites.
- Added new endpoints to query delivery configs.
- Added new delivery endpoints to query and create deliveries.
- Corrected the documented type of the sink fields
tracked_gross_co2e_removal_in_kg,tracked_net_co2e_removal_in_kg, andverified_net_co2e_removal_in_kgfromintegertonumber. - Added nullable
verified_atfield to sink responses, containing the day the removal was verified by the registry. - Added a
coordinatesandaddressfield on site responses, deprecated the previouslocationfield. - Added an
organisationfield on site responses, deprecated the previousorganisation_idfield.
v0.3.0
- Breaking Return only verified sinks
from the
/sinksendpoints. - Breaking Removed the
sink.createdevent. - Breaking Moved from asymmetric to
symmetric signatures for webhook deliveries (see
Receiving Event Updates):
- The webhook secret was renamed from
public_keytosecret. - The signature format changed from
ed25519/v1atoHMAC-SHA256/v1.
- The webhook secret was renamed from
- Breaking Moved the
confirmation_document_idfield from the material application tracking step to the sink, since the document is sink-specific.
v0.2.0
- Breaking Removed tracking step
information from the
/sinksendpoint (only the/sinks/{id}endpoint includes them). - Breaking Replaced the
application_matrixfield in thematerial_applicationtracking step type with anapplication_descriptionfield. - Breaking Marked
idofregistry_referenceas nullable. - Added
rainbowas a possible registry type. - Breaking Removed the
pyrolysistracking step type in favor of the more generalmaterial_processingstep type. - Breaking Marked
confirmation_document_idof thematerial_applicationtracking step type as nullable. - Breaking Removed the
transport_modefield of thedeliverytracking step type. - Breaking Marked
verified_net_co2e_removal_in_kgas nullable. - Breaking Renamed the
/document/{id}endpoint to/documents/{id}to conform with the naming scheme. - Breaking Removed the
legal_addressfield on the response organisation in favor of a nullablefull_address. - Breaking Renamed
legal_nameon the response organisation tonameand marked it nullable. - Breaking Removed the
contact_infofield from the response organisation and site. - Breaking Marked
nameof the response site as nullable.
v0.1.2
- Removed
nullableflags of the response array fieldsprevious_step_idsanddocument_idsof sinks.
v0.1.1
- Marked all response fields as required; optional fields return explicitly
null. - Breaking Added
maxLengthconstraints to the webhook endpoint fieldsurlanddescription.